yuvdenoise(1)

NAME
yuvdenoise - Motion-Compensating-YUV4MPEG2-frame-denoiser

SYNOPSIS
yuvdenoise [options] </dev/stdin >/dev/stdout

DESCRIPTION
yuvdenoise is a spatio-temporal noise-filter for YUV4MPEG2 streams. This is useful to reduce the bitrate needed to encode your captured movies for VCD and SVCD creation.

OPTIONS
yuvdenoise accepts the following options:

-s y,u,v [0..255] Spatial noise-filter thresholds
    This sets the thresholds for the spatial noise filter. If you set this too high expect the image to be blurred. Reducing the Y' (y) value to 2 will preserve more detail but still remove noise. (default=4,6,6)

-g y,u,v [0..255] Gaussian blur mixing levels
    The default values for the chroma (Cb/u, Cr/v) are sane and changing them is only recommended if the chroma is not noisy. Setting the Y' (y) value too high will lose much detail and make a very blurry image. To preserve detail in the image a Y' (y) value of 64 or less (0) is recommended. (default=128,255,255)

-t y,u,v [0..255] Temporal noise-filter thresholds
    This sets the thresholds for the temporal noise-filter. Values above 12 may introduce ghosting. The default value for Y' (y) is often a little high and reducing it to 4 or 5 may be necessary. If the chroma smears or ghosts try using values of 5 or 6 instead of the default (12). (default=8,12,12)

HOW IT WORKS
To Be Written (maybe) in the future.

TYPICAL USAGE AND TIPS
As it is self-adapting to the noise-situation found in the stream you normally just can go without any options set: lav2yuv my-video.avi | yuvdenoise | mpeg2enc -t 1 -o my-video.m1v

AUTHOR
This man page was written by Stefan Fendt <stefan@lionfish.ping.de> and revised by Steven Schultz.

FURTHER INFOS
If you have questions, remarks, problems or you just want to contact the developers, the main mailing list for the MJPEG-tools is: mjpeg-users@lists.sourceforge.net For more info, see our website at http://mjpeg.sourceforge.net/

SEE ALSO
mjpegtools(1), mpeg2enc(1) lavrec(1) lav2yuv(1)